OUT OF DATE NOTICE:
-------------------
With the start of the 1.9.x release cycle we now longer update the ChangeLog and rely on git log for
this functionality. We keep however a NEWS files for a high level overview of changes in a new
release which will be filled at the end of the release cycle.

2013-12-01  Carsten Haitzler (The Rasterman)

        * 1.8 release

2013-11-28  ChunEon Park (Hermet)

        * Evas: If the line goes to the 0, 0 then it won't be updated. Now it's
        fixed.

2013-11-26  ChunEon Park (Hermet)

        * Evas: Fix the memory corruption introduced by evas fonts_zero.

2013-11-26  Daniel Juyung Seo (SeoZ)

        * ecore anim: Fixed animator not working problem when source_set is
        changed back and forth very fast.

2013-11-26  Cedric Bail

        * Evas: Allow fuzziness on the texture format returned by GL.

2013-11-25  Tom Hacohen

        * Evas textblock: Fixed wrapping of lines ending with whites.

2013-11-25  ChunEon Park (Hermet)

        * Evas: Fix proxy render to update the proxies recursively. If a proxy
        has proxies, all the chainged proxies should be updated recursively.

2013-11-21  ChunEon Park (Hermet)

        * Edje: Fix to update map-enabled part when the edje object is moved.

2013-11-20  Cedric Bail

        * Eina: Fix a possible race condition during eina_file_close.
        * Edje: Fix use of eina_hash_pointer to actually look at the pointer.

2013-11-19  Tom Hacohen

        * Evas textblock: Fixed order of tags inserted with markup_app/prepend.

2013-11-05  Youngbok Shin

        * Edje: Add null checking for name of anchor and item in geometry get
        functions.

2013-11-03  Christophe Sadoine

        * Eet: Added EET_DATA_DESCRIPTOR_ADD_MAPPING_BASIC().

2013-10-24  Sung W. Park (sung_)

        * EvasGL: Fixed direct rendering mode not clipping to its clip region.

2013-10-24  Youngbok Shin

        * Evas: Fix textblock rendering to properly set render operation on the
        context.

2013-10-18  Youngbok Shin

        * Evas: Fixed the textblock format to be drawn according to the glyph's
        horizontal advance width.

2013-10-15  ChunEon Park (Hermet)

        * Evas: Fixed the map surface to be updated properly. By tranversing the
        whole of the map target's tree, it decides to update the map
        surface to be redrawn if one of the objects is changed except the
        clipper itself.

2013-10-15  ChunEon Park (Hermet)

        * Edje: Fixed memory leak in the edje map color transition.

2013-10-11  Carsten Haitzler (The Rasterman)

        * Eina: deprecate/remove all the eina_error setting (and getting)
        within efl no one uses it and it frankly it much more pain
        than it's worth. the api's are still there, and efl api's still
        fail as they did before.. they just don't ALSO set eina_error.

2013-10-11  Cedric Bail

        * Eina: add Eina_Spinlock API,
        use Eina_Spinlock in Eina_Log, replace Eina_Lock by Eina_Spinlock in
        Eina_Stringshare, Eina_Chained_Mempool.
        * Eet: replace Eina_Lock by Eina_Spinlock in Eet_Dictionnary.
        * Evas: replace Eina_Lock by Eina_Spinlock in Evas_ScaleCache,
        Evas_Async_Events and Image_Entry.
        * Ecore: use Eina_Spinlock for Ecore_Thread.

2013-10-10  Carsten Haitzler (The Rasterman)

        * Ecore-con: use dlopen/dlsym (eina_module) to load libcurl to
        save memory (private pages) when not yet used by the process

2013-10-10  Michael Bouchaud (yoz)

        * Emotion: add two events to trigger webcam plug and unplug

2013-10-04  ChunEon Park (Hermet)

        * Eina: fix eina_file_map_lines() to not drop of one character in the
        last line.

2013-10-02  Cedric Bail

        * Eina: add eina_swap16(), eina_swap32(), eina_swap64().

2013-10-02  Tom Hacohen

        * Evas textblock: Use correct font underline properties when drawing
        underlines.

2013-10-01  Vincent Torri

        * Evas: add JPEG 2000 support.

2013-09-25  Tom Hacohen

        * Evas font: Make the evas_font_path_* functions apply to fontconfig
        searches.

2013-09-25  Tom Hacohen

        * Evas font: Use our own fontconfig configuration so we don't get
        affected by changes made to the default fontconfig configuration.

2013-09-06  Christophe Sadoine

        * Eet: Added EET_DATA_DESCRIPTOR_ADD_SUB_NESTED().

2013-09-24  Jorge Zapata

        * Eina: add a substraction in rectangles and more helpers,
        add double_from/to and helper defines in f16p16.

2013-09-12  Jihoon Kim

        * ecore_imf: Fix memory leak in scim immodule

2013-09-06  Cedric Bail

        * Edje: Add border information to Image sets.

2013-09-05  Cedric Bail

        * Evas: Add evas_object_smart_iterator_new().

2013-09-04  Michael Bouchaud (yoz)

        * fix edje_object_scale_set to be recursive

2013-09-03  Tom Hacohen

        * Evas textblock: fixed an issue with markup_get and markup_to_utf8
        behaving differently (markup_get was misbehaving).

2013-09-02  Shinwoo Kim

        * Ecore_Input_Evas: Check the state of last mouse event more properly.

2013-08-29  Boris Faure

        * Edje: export EFL_VERSION_MAJOR/MINOR when compiling edc files

2013-08-29  Cedric Bail

        * Evas: add interceptor for focus_set.

2013-08-28  Cedric Bail

        * Evas: use mmap/munmap to allocate surface.

2013-08-27  Jaehyun Cho

        * Edje: Fix edje play sample parameter checking.

2013-08-27  Tom Hacohen

        * Evas bidi: Fixed a bug causing BiDi not to work in some cases.

2013-08-20  David Seikel (onefang)

        * Edje Lua: Check for both Lua 5.1 and 5.2.

2013-08-13  Jihoon Kim

        * Ecore_IMF: add ecore_imf_context_input_panel_on_demand_set/get()

2013-08-09  Cedric Bail

        * Edje: add edje_object_mmap_set().

2013-08-08  Tom Hacohen

        * Evas textblock:  Make the ellipsis format the same as the surrounding.

2013-08-07  Tom Hacohen

        * Evas textblock: Use max ascent/descent at the edges of the textblock.

2013-08-07  Chris Michael

        * EFL: Require at least version 1.2 of the various wayland libraries to
        build EFL with wayland support.

2013-08-02  Yury Usischev

        * Add neon optimizations for several scaling/map routines in evas

2013-08-02  Cedric Bail

        * Evas: change mapping policy for image loader (RANDOM during header,
        SEQUENTIAL or WILLNEED during pixels reading).

2013-08-01  Cedric Bail

        * Edje: faster load time for Edje_Object using Evas_Object_Textblocks
        and many styles.

2013-07-31  Carsten Haitzler (The Rasterman)

        * Fix efl to use key not keyname (so xmodmap works).

2013-07-31  Cedric Bail

        * Eina: add eina_file_refresh(), eina_file_virtualize() and
        eina_file_virtual().
        * Evas: use eina_file_virtualize() for evas_object_image_memfile_set().
        * Emotion: fix backend priority order.

2013-07-25  ChunEon Park (Hermet)

        * Evas: Skip the map rendering if all points are transparent.

2013-07-24  Mike Blumenkrantz

        * Ecore-Evas: fix usage of underlying X window after it has received a
        destroy event

2013-07-22 Jiyoun Park

        * Evas: fix infinite loop if app use ecore evas image

2013-07-23  Yury Usischev

        * Fix a long-standing off-by-1 in the C MUL4_SYM "simd" multiplier.

2013-07-22 José Roberto de Souza

        * Edje: Refactor signal callbacks flags

2013-07-19  Cedric Bail

        * Edje: add threshold to draggable part.

2013-07-18 José Roberto de Souza

        * Edje: Correctly set match flag in _edje_signal_callback_move_last()
        * Fix size calculation of flags of signal callbacks

2013-07-18  Mike Blumenkrantz

        * Ecore-X: add ECORE_X_SYNC env variable for xlib backend

2013-07-18  Cedric Bail

        * Edje: fix some logic in the fixed point path.
        * Edje: improve accuracy of math part positionning.

2013-07-17  Guillaume Friloux

        * Ecore_Con: fix ecore_con_server_timeout_set(). It was changing the
        timeout value, but not the timer.

2013-07-17  Mike Blumenkrantz

        * Ecore_X: add error messages for xlib, ECORE_X_ATOM_XDND_DIRECTSAVE0,
        fix ecore_x_e_comp_pixmap_set to delete pixmap atom correctly

2013-07-15  Mike Blumenkrantz

        * Ecore_X: fix BadMatch errors in ecore_x_image_get when requested
        size was larger than XImage size

2013-07-15  Cedric Bail

        * Eet: Add support for EET_T_VALUE to serialize Eina_Value pointer.

2013-07-11  Chris Michael

        * Ecore_Evas: Added functions to retieve the pixmap depth, visual,
        and colormap

2013-07-11  Chris Michael

        * Ecore_Evas: Updated doxygen comments for pixmap functions
        * Ecore_Evas: Check for valid interface pixmap_get function before
        calling it.
        * Ecore_Evas: Removed need for prev_front pixmap field in structure and
        just use a temporary variable.

2013-07-10  Cedric Bail

        * Eina: Add eina_tiler_empty.

2013-07-08  Chris Michael

        * Ecore_Evas: Added pointer abtractions (requested by Mike)

2013-07-08  Chris Michael

        * Ecore_Evas: Added functions got software_x11 and gl_x11 engines to
        create new ecore_evas which uses just a pixmap (no window).
        - add ecore_evas_software_x11_pixmap_new
        - add ecore_evas_gl_x11_pixmap_new
        - add ecore_evas_software_x11_pixmap_get
        - add ecore_evas_gl_x11_pixmap_get

2013-07-08  Mike Blumenkrantz

        * Eina: add eina_tiler_area_size_get

2013-07-06  Carsten Haitzler (The Rasterman)

        * Eina: Add direct eina file map populate controls

2013-07-04  Cedric Bail

        * Eina: add eina_tiler_area_size_set and eina_tiler_strict_set to
        make Eina_Tiler in par with Evas_Tilebuf.

2013-07-03  Shinwoo Kim

        * Ecore: add atoms - enable, disable - to support accessibility

2013-07-02  ChunEon Park (Hermet)

        * Evas: optimize proxy rendering. Rendering performance is increased
        up to 2x in some cases.

2013-07-02  Cedric Bail

        * Eet: force thread to always run during eet_cache_concurrency test.

2013-06-25  Tom Hacohen

        * Evas textblock: Fixed issue when parsing formats with quotes.

2013-06-28  Jiyoun Park

        * Evas: Fix jpeg loader cannot deal with exif information correctly

2013-06-26  Daniel Willmann

        * Evas: Fix evas_common_convert_yuv_42* functions to actually return
        the converted data.

2013-06-25  Tom Hacohen

        * Evas textblock: Fixed issue with textblocks without fonts segfaulting.

2013-06-24  Cedric Bail

        * Evas: add support for asynchronously uploading GL texture.

2013-06-22  Thiep Ha

        * Edje: Move cursor to correct position when selection handlers are pressed.

2013-06-20  Christophe Sadoine

        * Evil: Added strsep function.

2013-06-19  Cedric Bail

        * Evas: optimized path for when map use the same color for all corner.

2013-06-19  Christophe Sadoine

        * Evil: Added evil_rename function, a wrapper around rename().

2013-06-18  Cedric Bail

        * Evas: Use Eo array of callbacks to reduce edje memory foot print of
        Evas_Object_Box and Evas_Object_Table.

2013-06-17  Sung W. Park (sung_)

        * Evas: add partial rendering support for Evas_GL direct rendering

2013-06-17  Cedric Bail

        * Edje: Use Eo array of callbacks to reduce edje memory foot print.

2013-06-13  Jiyou Park

        * Evas: Fix crash if app call image object update add after calling api
        like fileset.

2013-06-11  Carsten Haitzler (The Rasterman)

        * Support qualcomm begin/end tile extension for partial update

2013-06-06  ChunEon Park (Hermet)

        * Edje: support edc map color set

2013-06-05  Jiyou Park

        * Evas: Fix gif cannot decode alpha value correctly.

2013-06-04  Jean-Philippe Andre

        * Evas: improve stability of Evas_Cserve2.

2013-06-04  Cedric Bail

        * Evas: correctly detect if loader support asynchronous preloading.
        * Eina: add eina_file_dup.

2013-06-03  Ederson Desouza

        * Add -1.0 value to text ellipsis -- for not ellipsizing it at all.

2013-06-03  Carsten Haitzler (The Rasterman)

        * Fix edje min size calc to propagate min size calcs to GROUP
        items swallowed in automatically.

2013-05-31  Carsten Haitzler (The Rasterman)

        * Fix ascent/descent in textblock when fontsets are used to be
        superset of all ascent/descents.

2013-05-31  ChunEon Park (Hermet)

        * Edje: support edc proxy.source_visible, proxy.source_clip

2013-05-31  Jérémy Zurcher

        * Added --enable-image-loader-xyz=yes|static|auto|no for all loaders
        * compilation fail if not found and option set to yes or static

2013-05-29  Carsten Haitzler (The Rasterman)

        * Fix evas gl partial swap to keep full re-render rects if
        switching mode automatically.

2013-05-29  Mike Blumenkrantz

        * Added eina_str_convert_len() to work around broken eina_str_convert()
        * Add ecore-x(cb) support for text/x-moz-url DND operations

2013-05-28  ChunEon Park (Hermet)

        * Fix textblock to render pre again if it needs to relayouting.

2013-05-27  Jihoon Kim (jihoon)

        * Add ECORE_IMF_INPUT_PANEL_LAYOUT_DATETIME layout
        * Add EDJE_INPUT_PANEL_LAYOUT_DATETIME layout

2013-05-24  Daniel Willmann

        * Fix srv->start_time (initialization missing). So now 
        ecore_con_server_uptime_get() is working for plain TCP connections.

2013-05-24  Guillaume Friloux

        * Fix use of ecore_con_server_client_limit_set() (counter never
        decreased).
        * Fix use of ecore_con_client_timeout_set() and
        ecore_con_server_timeout_set() that makes timeout on connections
        even if you sent data.
        * Fix cl->start_time (initialization missing). So now 
        ecore_con_client_uptime_get() is working.

2013-05-22  David Seikel (onefang)

        * Edje Lua: Stop leaking evas objects in Lua.

2013-05-22  Daniel Juyung Seo (SeoZ)

        * Fix fd handler increase issue when ecore_pipe_add/del is called
        repeatedly.

2013-05-22  ChunEon Park (Hermet)

        * Edje textblock: keep the text styles when new font by the text class
        is applied.

2013-05-20  Carsten Haitzler (The Rasterman)

        * Evas: Improve memory footpriny by only creating evasgl context on
        demand.

2013-05-18  Carsten Haitzler (The Rasterman)

        * Evas: Reduce waiting on gl so it cvan fully run async from cpu.

2013-05-16  Tom Hacohen

        * Edje textblock: Fixed issue with quoted formats.

2013-05-15  Carsten Haitzler (The Rasterman)

        * Evas leak in dri/drm swapbuf removed

2013-05-14  Jihoon Kim

        * Edje entry: return surrounding string until the start position of
        selection
        * ecore_imf: fix crash when ecore_imf_context_del is called in
        ecore_imf_context_input_panel_callback_call

2013-05-13  Thiep Ha

        * Edje: Added selection handlers to entry.

2013-05-11  Jiyou Park

        * Evas: Fix crash if app use native surface in wrong engine.

2013-05-10  Carsten Haitzler (The Rasterman)

        * Fix string leak in evas dri/drm swapbuf
        * Fix pulseaudio crash on exit in ecore_audio (leak instead).
        * Fix eet_mmap to use caches for lookup so it shares with everyone
        * Improve ecore_audio use of eo api to be more batching
        * Fix edje multisense segv (free non-malloced data from eet).

2013-05-10  Tom Hacohen

        * Evas text: Fixed line size calculation when using multiple fonts.

2013-05-10  ChunEon Park (Hermet)

        * Evas: don't try blend on gl backened if the render option is COPY

2013-05-08  Carsten Haitzler (The Rasterman)

        * Fix evas proxy_unset of NULL image.
        * Fix x11 selection trailing nul byte in text

2013-05-08  Mike Blumenkrantz

        * Edje: fix custom states for proxy parts
        * Edje: add embryo fill support for proxy parts

2013-05-07  Carsten Haitzler (The Rasterman)

        * Fix slowness in glmap/unmap buffer by default in evas gl engine
        * Fix evas segv on image del if loader is NULL
        * Fix evas swapregion rect to account for rotation
        * Edje entry emtis signals on keydown/up for theme to use

2013-05-07  Rafael Antognolli

        * Evas: Added evas_event_input_multi_up/down().

2013-05-06  Rafael Antognolli

        * Ecore/Wayland: Add ecore_wl_window_alpha_set/get().
        * Ecore/Wayland: Fix alpha windows on EGL backend.

2013-05-06  Cedric Bail

        * Evas: Remove SVG loader from inside the merged tree.

2013-05-06  ChunEon Park (Hermet)

        * Evas: update the map smart members really when it needs to render.

2013-05-05  Jiyoun Park (jypark)

        * Ecore_Input_Evas: Fix ecore_input_evas didn't check the device id of
        mouse event

2013-05-05  Jiyoun Park (jypark)

        * Evas: Fix gif loader can't load image which has normal frames and
        error frames

2013-05-04  Carsten Haitzler (The Rasterman)

        * Fix "always scissor" to not break map in evas gl engine.

2013-05-03  Carsten Haitzler (The Rasterman)

        * Turn on scissors always to abe able to to partual render on
        some GL implementations properly.

2013-04-03  Rafael Antognolli

        * Evas: Added evas_event_input_mouse_move() for internal use only.
        * Evas: Added evas_event_input_multi_move() for internal use only.

2013-05-02  Carsten Haitzler (The Rasterman)

        * Evas gl engine - dont map dri/drm buffer unless we are going
        to render.

2013-04-30  Carsten Haitzler (The Rasterman)

        * Fix issue when wchar_t is signed and eina_unicode does
        negative array lookups.

2013-04-29  ChunEon Park (Hermet)

        * Evas: Added evas_object_image_source_clip_set()/get().

2013-04-25  Carsten Haitzler (The Rasterman)

        * Add --with-api=XXX (both|legacy|eo)

2013-04-25  Tom Hacohen

        * Evas textblock: Fixed line size calculation when using multiple
        fonts.

2013-04-25  Jihoon Kim

        * Edje entry: remove duplicated ecore_imf_context_reset in adjusting
        the selection

2013-04-24  Carsten Haitzler (The Rasterman)

        * Rejig 32bit eoid allocation to 5.5.12.

2013-04-23  Carsten Haitzler (The Rasterman)

        * Make eoid use mmaped tables from anonymous memory for safety.
        * Rejig 64bit eoid allocation to use much less memory (11.11.12).

2013-04-22  Mike Blumenkrantz

        * Evas: Fix recursive proxy image rendering to just render black

2013-04-22  WooHyun Jung

        * Edje: When selected word exists, selection is cleared and cursor
        remains on the current edje_entry by additional key input.

2013-04-20  Carsten Haitzler (The Rasterman)

        * Ecore-X: Fix selection parser to not use longs - wrong on
        64bit as the rest of ecore-x keeps types to their REAL sizes (ints),
        but xlib uses longs (change size - eg 64bit even though protocol-wise
        the data is DEFINEd as 32bit)

2013-04-18  Carsten Haitzler (The Rasterman)

        * Fix nvidia texture from pixmap config depth match to be looser to
        avoid non-matches.
        * Fix evas gl engine to work in 16bpp nicely.
        * Fix native surface to be more anal about depth matching.
        * Fix eeze sensors to not segv on shutdown

2013-04-19  Jihoon Kim (jihoon)

        * Edje: Remove code to call ecore_imf_context_reset in case of pressing
        ESC, Return key

2013-04-14  Carsten Haitzler (The Rasterman)

        * Evas: Fix evas gl_x11 to use default depth when visual
        matching so lower depth displays work

2013-04-15  ChunEon Park (Hermet)

        * Evas: If an object goes to be hidden without replacing the cur/prev
        state info, the object context can be corrupted at the next show time.
        Now it replaces the cur/prev in that rare case.

2013-04-15 Tom Hacohen

        * Evas textblock: Fixed a bug with deletion of ranges that end just
        before a visual format.

2013-04-14  Jiyoun Park

        * Evas: fix gif bug related with scale down decode.

2013-04-14  Jiyoun Park

        * Evas: fix gif decoding bug related with background color.

2013-04-14  ChunEon Park

        * Evas: Don't update evas update area by the clipper if the image obj
        visible is changed.

2013-04-14  Carsten Haitzler (The Rasterman)

        * Evas: Work around new intel Mesa/xorg bug where alpha
        channel in NON-ARGB windows is not filled in with 0xff even if all the
        code does things right.

        2013-04-13  ChunEon Park

        * Evas: Don't be crashed even if the map image size is 0.

2013-04-13  Jihoon Kim

        * Ecore_IMF: Add ecore_imf_input_panel_hide () API
        * Ecore_IMF: Add ecore_imf_context_input_panel_event_callback_call, clear API

2013-04-10  Rafael Antognolli

        * Ecore: Add support for double and triple click on Wayland.

2013-04-10 Tom Hacohen (Tasn) Yakov Goldberg

        * Evas textblock : Added split cursor for BiDi text

2013-04-10  WooHyun Jung

        * Edje: When cursor is located to each edge, entry now doesn't grab events for cursor movement.

2013-04-10  Carsten Haitzler (The Rasterman)

        * Evas: Add glx buffer age support for automatic partial
        redraw in glx.
        * Evas: Support GLX_MESA_release_buffers extension to release
        unused aux buffers.

2013-04-09  Jérémy Zurcher (jeyzu)

        * Eina: Add eina_inlist_first and eina_inlist_last

2013-04-08  Tom Hacohen

        * Evas font: Fix a bug with cluster size calculation with texts ending
        with ligatures.

2013-04-08  Carsten Haitzler (The Rasterman)

        * Evas: Add control API for multiple outputs (non-functional).

2013-04-05  Cedric Bail

        * Evas: Fix over redrawing of Evas_Map when applied on smart object.

2013-04-04  Jiyoun Park

        * Evas font: fix font source have wrong current size.

2013-04-04  Tom Hacohen

        * Evas font: If OS/2 table is available and the font is demi-bold,
        don't do runtime emboldment.

2013-04-04  Yakov Goldberg

        * Evas font: char position, returned by
        evas_common_font_query_char_at_coords(),
        depends on left/right half of char and its direction.

2013-03-04  Cedric Bail

        * Evas: fix crash with Buffer engine with non alpha output.

2013-03-30  Cedric Bail

        * Evil: Add mkdtemp.

2013-03-29  Carsten Haitzler (The Rasterman)

        * Fix edje entry to resepct filter callbacks and not clear
        selections if filters filter out all contents.

2013-03-28  Cedric Bail

        * Ecore: automatically turn on systemd watchdog in Ecore main loop.

2013-03-28  Carsten Haitzler (The Rasterman)

        * Change evas_textblock_cursor_word_start() and
        evas_textblock_cursor_word_end() to walk extra whitespaces when
        moving up and down words that tends to look more like other
        toolkits (gtk, qt). the docs dont specifically say the rules
        on word finding, so being consistent is better i believe and
        so we can assume the prior behavior is a bug.

2013-03-27  Cedric Bail

        * Eina: Add eina_log_timing.
        * Ecore, Ecore_Audio, Ecore_Con, Ecore_Evas, Edje, Eet, Eio, Eo, Evas:
        use eina_log_timing.

2013-03-27  Jihoon Kim

        * Add ecore_imf_context_input_panel_variation_set/get API.
        * Add edje_object_part_text_input_panel_layout_variation_set/get API.

2013-03-25  Cedric Bail

        * Eina: add portable eina_file_mkstemp().
        * Embryo: use eina_file_mkstemp().

2013-03-22  Jiyoun Park (Jypark)

        * Ecore_x: fix alpha set function not clear sync counter

2013-03-22  Cedric Bail

        * Edje: Add spread width and height in TABLE part.

2013-03-20  Jérémy Zurcher (jeyzu)

        * Eina: Add eina_list_shuffle

2013-03-19  Mike Blumenkrantz

        * Fix magic failure in eina_value_array_count when array has not been
        allocated

2013-03-16  Cedric Bail

        * Remove Glew and Direct3d code from Ecore_Evas module.
        * Add Eina_Log integration for systemd journal.

2013-03-15  Carsten Haitzler (The Rasterman)

        * Fix opengl-es 2.0 engine support to only use GL_UNPACK_ROW_LENGTH
        if the correct gles extension exists.

2013-03-14  Mike Blumenkrantz

        * fix use of ecore_con_*_flush functions with unconnected objects
        * fix setting of write flags on ecore-con servers during connect

2013-03-13  Cedric Bail

        * Edje: use Eina_Cow to reduce memory usage.

2013-03-12  Jiyoun Park (Jypark)

        * Ecore_x: fix bug not check data value when get deiconify message

2013-03-11  Mike Blumenkrantz

        * clean up gnutls session initialization

2013-03-10  Cedric Bail

        * Eeze: add a dummy implementation of libmount when it is not available.
        * Ecore_Con: add systemd socket activation support
        (ECORE_CON_SOCKET_ACTIVATE).
        * Ecore: notify systemd that we are ready as soon as the main loop is
        running.
        * EFL: use HAVE_FCNTL to disable code using fcntl.

2013-03-08  Igor Murzov

        * Add WebP image saver.

2013-03-07  Jiyoun Park (Jypark)

        * Ecore_x: Add manual render code before deiconify

2013-03-06  Jihoon Kim (jihoon)

        * Edje entry: fix bug scroll works when PgDn, PgUp, Home, End key in
        entry is pressed in preedit state

2013-03-05  Jiyoun Park (Jypark)

        * Ecore_x: Add atom related with indicator type.
        It can support several types of indicator

2013-03-05  Jiyoun Park (Jypark)

        * Ecore_x: Fix dangling pointer problem related with shmget fail

2013-03-04  Sung W. Park (sung_)

        * Evas Evas_GL: removed resource surface/context pool in favor of
        creating on-demand. resource surface/contexts are used for creating
        GL resources for Evas_GL.

2013-02-28  Tom Hacohen (TAsn)

        * Evas textblock: Added proper size adjustments for "high" shaped texts.

2013-02-28  Mike Blumenkrantz

        * fix custom states for edje SPACER parts
        * fix edje program filters

2013-02-28  Cedric Bail

        * eina_strlcat work with a NULL src.

2013-02-26  Carsten Haitzler (The Rasterman)

        * Fix evas GL common engine to have a shader to do oversampling on
        downscaling. This makes quality much better and "at best"
        equates to a 16 point sample (2x2 linear interpolation samples,
        where a linear interpolation sample equates to a 2x2 sample). This
        will have perfomance impact, but the quality is worth it and
        makes it closer to software downscaling in quality. It supports
        2x2, 2x1 and 1x2 oversampling. YUV not done, nor image mask
        (font shaders not needed).

2013-02-23  ChunEon Park (Hermet)

        * Evas cache: remove the freed worker from the pthread worker list when
        it's failed to create a new thread so as not to access it if a thread is
        working newly.

2013-02-21  Tom Hacohen (TAsn)

        * Evas text: Fixed bug with the text object direction detection.
        * Evas font: Fixed font run detection for specific cases with 2
        different fonts in the middle of a run.

2013-02-21  Carsten Haitzler (The Rasterman)

        * Add ecore_x_dnd_self_begin() and ecore_x_dnd_self_drop() to
        allow xdnd chatting to yourself (your source drag window).

2013-02-20  Carsten Haitzler (The Rasterman)

        * Fix ecore-x edid fetch to ftech 128, not 100 bytes.

2013-02-20  Cedric Bail

        * Properly report file not found in Edje.

2013-02-19  Daniel Zaoui

        * Fix Evas_Object_Text when LTR and RTL are used in the same paragraph.

2013-02-18  Carsten Haitzler (The Rasterman)

        * Fix edje edje_color_class_list() and edje_text_class_list() to
        look at the correct hashes when returning.

2013-02-17  Mike Blumenkrantz

        * fix anchor clicked mouse signals for selection-enabled entries

2013-02-16  Paulo C. A. Cavalcanti Jr

        * Evas: add pixels_alpha_get to evas engine.

2013-02-16  Cedric Bail

        * Eina: improved Eina_Clist support for 64bits system.
        * Evas: improved BMP support for 64bits system.

2013-02-15  Tom Hacohen (TAsn)

        * Edje textblock: Improved textblock fit and added support for
        size_range.

2013-02-15  Jiyoun Park (jypark)

        * Add infrastructure to handle message between ecore and parent ecore in
        Ecore_Evas.

2013-02-14  Cedric Bail

        * Reduce memory consumption of Edje program handler.

2013-02-14  Jihoon Kim (jihoon)

        * edje entry : fix bug not to display preedit string with
        PREEDIT_TYPE_NONE style
        * edje entry : Fix bug candidate word couldn't be selected with up/down
        key in the preedit status

2013-02-11  Stefan Schmidt

        * Fix memory leak in error cases in ethumb.

2013-02-08  Stefan Schmidt

        * Fix memory leak in eina_xattr_value_ls.
        * Fix memory leak in gstreamer_ecore_x_check

2013-02-08  Tom Hacohen (TAsn)

        * Evas textblock: Fixed a selection issue with different scripts and
        bidi.

2013-02-08  Guillaume Friloux

        * Fix usage of Ecore_Con_Server's internal buffer.

2013-02-08  Carsten Haitzler (The Rasterman)

        * Fix ecore_x ecore_x_screen_is_composited/set() to work
        properly on multihead.

2013-02-07  Christopher Michael (devilhorns)

        * Added ecore_x_randr_crtc_info_free function.

2013-02-07  Christopher Michael (devilhorns)

        * Added ecore_x_randr_crtc_info_get function.

2013-02-07  Cedric Bail

        * eina: Eina_Tiler now take tile size into account.

2013-02-07  WooHyun Jung

        * edje: Checking walking_callbacks for not removing patterns which are
        still used.

2013-02-06  Cedric Bail

        * eina: fix map leak in Eina_File.

2013-02-05  Eduardo Lima (Etrunko) <eduardo.lima@intel.com>

        * ecore_wayland: Fix return type of function ecore_wl_outputs_get()

2013-02-04  U. Artie Eoff (uartie) <ulysses.a.eoff@intel.com>

        * ecore_wayland: Add #ifdef __cplusplus to Ecore_Wayland.h so the
        API can be used by C++ programs.
        * ecore_wayland: Add ecore_wl_registry_get
        * ecore_wayland: Add ecore_wl_globals_get

2013-02-04  Raphael Kubo da Costa <raphael.kubo.da.costa@intel.com>

        * evas: Stop initializing and shutting Fontconfig down

2013-02-04  Cedric Bail

        * eina: counter measure denial of service on eina_hash function.

2013-02-04  Jihoon Kim (jihoon)

        * edje entry : Support &, < and > in preedit string.

2013-02-02  Chidambar Zinnoury (ilLogict)

        * Update French translation.

2013-02-01  Mike Blumenkrantz

        * added eet_data_descriptor_name_get()
        * added eina_stringshare_refplace()

2013-01-31  Guillaume Friloux

        * Fix a memory leak in ecore_con_dns

2013-01-31  Jihoon Kim (jihoon)

        * edje entry : Remove ecore_imf_context_cursor_position_set in functions
        related to selection.

2013-01-30  Christopher Michael (devilhorns)

        * Implement RandR 1.4 functions which were missing in our Ecore_X API

2013-01-30  Christopher Michael (devilhorns)

        * Deprecate ecore_x_randr_crtc_gamma_ramp_* functions.
        * Added new ecore_x_randr_crtc_gamma_* functions that uses a proper
        structure

2013-01-29  Christopher Michael (devilhorns)

        * Removed old ecore_x_randr code and replaced with new working code.

2013-01-29  Carsten Haitzler (The Rasterman)

        * Fix cache miss bug when edje cache hash is null, but cache
        list may have entries.

2013-01-29 Sumanth Krishna Mannam <sumanth.m@samsung.com>

        * Prevent a crash even if an invalid object is swallowed into an
        edje object.

2013-01-28 Rafael Antognolli <antognolli@gmail.com>

        * Ecore_Evas wayland-egl only renders now if last frame has
        been presented.

2013-01-28  Daniel Willmann <d.willmann@samsung.com>

        * Use ecore_audio in edje-multisense

2013-01-25  Jihoon Kim (jihoon)

        * edje entry : Remove ecore_imf_context_reset, cursor update in mouse
        move event because it's useless.
        * edje entry : move ecore_imf_context_cursor_position_set from mouse
        down event to mouse up event

2013-01-24  Sung W. Park (sung_)

        * Add EVAS_GL_DIRECT_MEM_OPT to enable on-demand fallback memory
        allocation policy for EvasGL direct rendering.

2013-01-24  Cedric Bail

        * Don't over align data if they are already aligned.

2013-01-22  Daniel Willmann <d.willmann@samsung.com>

        * Fix evas gif loader to return the correct frame duration

2013-01-22  Mike Blumenkrantz

        * rebase dns.c against upstream

2013-01-22  Sung W. Park (sung_)

        * Applied on-demand memory allocation policy for Evas GL Surface
        for direct rendering optimization.  For direct rendering in EvasGL,
        it falls back to FBO rendering if the conditions are not met.  Before,
        the fallback resources were created in the beginning but now they are
        created and destroyed on need base.

2013-01-21  Carsten Haitzler (The Rasterman)

        * Fix xsync problem in ecore_x_image_get() where prior errors can get
        caught.

2013-01-18  Jihoon Kim (jihoon)

        * edje entry: remove ecore_imf_context_reset in mouse up event because
        it's useless.

2013-01-18  Cedric Bail

        * Ecore_Input_Evas: add infrastructure to handle buggy touchscreen by
        using environment variable ECORE_INPUT_FIX and ECORE_INPUT_TIMEOUT_FIX.

2013-01-17  Jihoon Kim (jihoon)

        * Edje : cursor position and location will be passed when it's really
        changed in case of mouse down, move, and up event

2013-01-16  Carsten Haitzler (The Rasterman)

        * Fixed pixman image wrapping to handle allocated size instead
        of image size (unless allocated is 0/wrong).

2013-01-15  ChunEon Park (Hermet) <hermet@hermet.pe.kr>

        * Fix SIGFPE in evas map update if image size is 0.

2013-01-15  Paulo Alcantara (pcacjr)

        * Evas engines: Introduce multi_font_draw() function
        * Evas textgrid: Change render to support multi_font_draw()

2013-01-15  Tom Hacohen (TAsn)

        * Evas textblock: Fixed issue and simplified cursor_geometry_get.
        * Evas text: Fixed issue with horiz advance.
        * Evas text utils: Fixed issue with no-harfbuzz bidi.

2013-01-14  Daniel Willmann

        * edje: Fix off-by-one errors when using alloca in various functions

2013-01-14  Tom Hacohen (TAsn)

        * Evas textblock: Fixed issue with line height when breaking on a
        format.

2013-01-14  Cedric Bail

        * Fix bug in eio_file_map_new container set.

2013-01-14  Albin Tonerre

        * Fix endianess issue in Eet_Image.

2013-01-13  Boris Faure (billiob)

        * Fixed condition based on uninitialized value in ecore_x_selection
        (both xlib and xcb).
        * Fixed a leaked when no selection converter matches.

2013-01-11  Tom Hacohen (TAsn)

        * Static libs: Updated liblinebreak to libunibreak's latest version.
        * Evas texblock: Fixed a bug with breaking after format items.

2013-01-11  Cedric Bail

        * Fix not up to date clip cache for Evas_Object_Text.

2013-01-09  Jiyoun Park (jypark)

        * Fix evas bmp loader code which deal with image size.

2013-01-08  Gustavo Sverzut Barbieri (k-s)

        * Fix eina_prefix_new() with debian multilib without magic check file.

2013-01-08  Mike Blumenkrantz

        * Fix efreet desktop command parsing of https

2013-01-07  Sung W. Park (sung_)

        * Pulled out evas gl backend binary shader file caching code from 
        evas_gl_shader.c file and made an internal generic caching api in 
        evas_gl_common.h for use in evas_gl code.
        * Implemented evas_gl surface cap. caching code in gl backend to
        accelerate the engine creation. 

2013-01-07  Thomas Petazzoni

        * Fix build of Evas XCB backend.

2013-01-04  Jérémy Zurcher

        * Improve eina_share string del speed by a maybe 5-15%.

2013-01-03  Gustavo Sverzut Barbieri (k-s)

        * Add eina_alloc.h to Eina.h to define alloca()
        * Eeze: deprecated support for udev<148 and libmount<2.18

2013-01-03  Cedric Bail

        * Use Eina_File for evas png loader.

2013-01-03  Carsten Haitzler (The Rasterman)

        * Fixed ecore_con case where freeing server double-frees clients

2013-01-03  Jérémy Zurcher

        * Add eio_eet_sync symbols.

2013-01-02  Carsten Haitzler (The Rasterman)

        * Fixed evas_software_xlib_x_write_mask_line() issue - it was
        finding a segment in the shm cache of the wrong size for masks!

2013-01-02  Cedric Bail

        * Use Eina_File for evas webp, gif, tiff and eet loader.
        * Add eet_mmap to open an Eet file from an Eina_File.

2012-12-31  Gustavo Sverzut Barbieri (k-s)

        * Fixed eina_xattr_value_ls() an eina_xattr_value_fd_ls()
        * Added eina_xattr_fd_get(), eina_xattr_fd_set(),
        eina_xattr_del(), eina_xattr_fd_del(), eina_xattr_copy() and
        eina_xattr_fd_copy()
        * Added eina_file_copy()

2012-12-24  Mike Blumenkrantz

        * eina_magic_fail() now throws error messages on NULL pointers instead
        of critical all efl object-freeing functions now take NULL without
        crashing or erroring eio functions no longer crash when passed NULL and
        throw errors accordingly

2012-12-19  Gustavo Sverzut Barbieri (k-s)

        * Fixed Evas RGBA_Image->flags.loaded for copied images.
        * Fixed evas_object_image_is_inside() implementation.

2012-12-19  Carsten Haitzler (The Rasterman)

        * Fixed 24bpp issue with rendering in evas. It shows itself
        only under qemu/kvm with the cirruse driver that I have found.
        In this case the screen is really 24bpp packed and this case
        just never comes up on any vaguely modern gfx system.
        * Fixed 24bpp ximage convert back from 24bpp to 32bpp in
        ecore-x. Only shows itself in qemu/kvm.

2012-12-18  Gustavo Sverzut Barbieri (k-s)

        * Fixed many memory problems with ecore_evas_extn

2012-12-18  Leandro Pereira

        * Add threaded renderer.
        * Modify software_generic and gl_x11 to use threaded renderer.

2012-12-17  Daniel Willmann

        * Add EFL Audio API - ecore_audio

2012-12-17  Leandro Pereira

        * Get rid of unused `ref` field in RGBA_Image struct.
        * Prepare soil to land threaded render.
        * Use refcounted glyph arrays.
        * Common code to draw lines, polygons, rectangles, maps,
        and scaling.

2012-12-13  Cedric Bail

        * Fix potential segv in software engine native_set code.
        * Fix uninitialized data in Evas OpenGL engine.

2012-12-12  Daniel Willmann

        * Fix possible buffer overflow in functions relying on EET_T_LAST.
        * Fix possible memory corruption in xrandr EDID functions.

2012-12-12  Cedric Bail

        * Add ellipsis support in Evas_Object_Text.

2012-12-12  ChunEon park <hermet@hermet.pe.kr>

        * Fix the evas gl line incorrect position problem.

2012-12-11  Cedric Bail

        * Fix leak eet_pbkdf2_sha1 with OpenSSL.

2012-12-10  Gustavo Sverzut Barbieri (k-s)

        * Added ECORE_GETOPT_ACTION_BREAK to force breaking out of argument
        parsing logic (will behabe same as GNU's "--", useful for xterm -e)

2012-12-07  Cedric Bail

        * Don't leak fd on exec.

2012-12-07 Sung W. Park (sung_)

        * Added EVAS_GL_LINE_NO_OFFSET_HACK to turn off the line coordinate
        fiddling that was originally in the gl backend code. The offset
        fiddling caused issues with some ARM target GPU drivers.
        * Fixed polygon rendering bug in GL backend when there are cutouts.

2012-12-05  Gustavo Sverzut Barbieri (k-s)

        * Removed DirectFB support (both ecore_directfb, evas and ecore_evas).
        * Removed XRender, WinCE, X11-16 and X11-8 ecore_evas support.
        * Bumped gnutls version requirement to >= 2.11 (released in 2010).
        * Bumped GNU/libc requirement to >= 2.4 for inotify (sys/inotify.h).

2012-12-04  Gwanglim Lee

        * Add window profile support:
        * Add ecore_evas and ecore_x APIs to support the window profile.
        * Implement window profile for ecore_evas_x, ecore_evas_extn_socket,
        ecore_evas_extn_plug and ecore_evas_buffer.
        * Deprecate ECORE_X_ATOM_E_PROFILE and ECORE_X_ATOM_E_PROFILE_LIST.
        * Deprecate ecore_x_e_window_profile_list_set. Use
        ecore_x_e_window_available_profiles_set instead.
        * Deprecate ecore_x_e_window_profile_list_get. Use
        ecore_x_e_window_available_profiles_get instead.
        * Add ecore_evas_sub_ecore_evas_list_get API.

2012-12-05  Cedric Bail

        * Fix build of Ecore_Evas_Extn on Solaris 11.

2012-11-30 Gustavo Sverzut Barbieri (k-s)

        * Fix evas_object_box.c to properly reset size_hint_min to zero if
        there are no objects packed into the box.

2012-11-22 Paulo Alcantara (pcacjr)

        * Add scalecache support to Cserve2

2012-11-22  Sung W. Park (sung_)

        * Fixed a bug where if an image object rendered using Evas GL
        direct rendering and then another image object using Native
        Surface rendering, there was a potential for it to fall into
        the same direct rendering path.
        * Fixed some minor Evas GL extension bugs that came from refactoring.

2012-11-21  Carsten Haitzler (The Rasterman)

        * Fixed leak in textblock and text props in general that made
        textblock recalcs lead very badly. Required changed to textgrid
        though a sit relied on the leaky behavior.

2012-11-20  ChunEon Park (Hermet)

        * Fix the evas memory leak - eina_rectangles allocated internally.

2012-11-16  Sung W. Park (sung_)

        * Fixed glGetIntegerv() in Direct Rendering mode for Evas GL
        to properly handle GL_SCISSOR_BOX and GL_VIEWPORT parameters.

2012-11-13  Carsten Haitzler (The Rasterman)

        * Fixed GLX native surface handling to use glXChooseFBConfig.
        This frixes a break in compositing on new intel mesa drivers.

2012-11-12  Mike Blumenkrantz

        * Add eina_list_last_data_get

2012-11-10  Vincent Torri

        * Fix build of eina_file on Solaris 10

2012-11-09  Vincent Torri

        * Fixed longstanding memset bug in evas box.

2012-10-19  Cedric Bail

        * Add eina_thread API.

2012-10-19  Patryk Kaczmarek

        * eina_stringshare_add_length return NULL when func args are wrong.

2012-10-17  Carsten Haitzler (The Rasterman)

        * Add eina_barrier API to cover pthread_barrier functionality
        * Add eina_tmpstr_add() and eina_tmpstr_del().

2012-10-04  Vincent Torri

        * Update lz4 code to rev. 77. This fix compilation on NetBSD 5.0

2012-10-31  Cedric Bail

        * Add eet_list_entries().
        * Add eet -l -v to give more information about an eet file.

2012-09-27 Patryk Kaczmarek <patryk.k@samsung.com>

        * Add eet file handle null checks to eet_data_write_cipher(),
        eet_data_descriptor_decode_cipher(),
        eet_data_descriptor_encode_cipher(), eet_data_xattr_cipher_get(),
        eet_data_xattr_cipher_set().

2012-09-27  Carsten Haitzler (The Rasterman)

        * Fix return value of eina_mmap_safety_enabled_set() and
        ensure future eina_mmap_safety_enabled_get() return right value
        on success.

2012-09-21  Carsten Haitzler (The Rasterman)

        * Fix big endian bug with eet image handling and endianess swapping.

2012-09-15  Vincent Torri

        * Add DOCTYPE children to be parse in eina_simple_xml.

2012-09-12 Patryk Kaczmarek <patryk.k@samsung.com>

        * Add EINA_SAFETY checks for proper function arguments.
        * Add check if given arguments (distance and coordinates) in eina_tiler
        and eina_rectangle are not below zero
        * Documentation for eina list specified and eina stringshare fixed

2012-09-11  Cedric Bail

        * Speedup Eina Rbtree Iterator by recycling memory instead of
        massively calling malloc/free.

2012-09-04  Roberto de Souza <zehortigoza@profusion.mobi>

        * Fix EINA_INLIST_FOREACH_SAFE macro to work when inlist is not the
        first item in the struct.

2012-09-03  Igor Murzov

        * Add WebP image loader.
